NNTPGrab - Feature # 78: Aanvulling op "intelligente PAR2 downloader"
Subject: Aanvulling op "intelligente PAR2 downloader"

Description: Hi,

Persoonlijk mis ik in versie 0.6.91 een tussentijdse optie, nl het wissen van de PAR2 bestanden (en de
foutieve datablokken), *na* download PAR2 en herstel en *voor* het automatisch uitpakken. Ik maak nogal
eens mee dat een .zip (als onderdeel van een applicatie) of een .cab bestand direct gepost worden en dan is
het juist niet de bedoeling deze uit te pakken! Om die reden pak ik de bestanden liever handmatig uit.

Ik zou dat graag in een volgende versie zien.

Associated revisions

07/10/2011 05:40 pm - Alguno
Split out the configuration option '‘Remove files after repair and unpack’

in two separate options as suggested by feature request #78. Closes #78

History

07/03/2011 09:24 pm - Alguno

- Category set to NNTPGrab Core

- Status changed from New to In Progress

- Assigned to set to Alguno

- Target version set to 0.7.0

Als het goed is kan je het gewenste gedrag al bereiken door de optie 'Automatisch uitpakken na het downloaden' uit te zetten en de 'Verwijder
bestanden ..." optie aan te laten staan. Daarmee wordt wel netjes de PAR2 reparatie uitgevoerd en de PAR2 bestanden verwijderd, maar wordt er

nadien niet automatisch uitgepakt.

Dit is toch het gewenste gedrag zoals je hierboven beschrijft?

07/03/2011 10:18 pm - FTDBlast
Dat is inderdaad wat ik voor ogen had, echter de tekst bij deze laatste optie deed me ze niet kiezen.
Er staat "verwijder bestanden na reparatie *en uitpakken*" Daardoor ontstond het idee dat dit alleen werkt na het uitpakken.

Bedankt voor de toelichting, het kwam niet in me op dit zelf uit te proberen. Excuus.

Wellicht kan je de tekst wat bijschaven voor mensen als ik :)

07/03/2011 10:27 pm - Alguno

Ik kan er eventueel ook 2 aparte opties voor maken als dat het duidelijker maakt

07/04/2011 09:25 pm - FTDBIlast
Het gaat er om dat iedereen het meteen snapt. Dat is niet eenvoudig.
Een opsplitsing zou het zeker verhelderen en je voorkomt meteen dat er "te veel" tekst bij de selecties staat. Deze oplossing heeft mijn persoonlijke

voorkeur.

07/10/2011 05:41 pm - Alguno

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset r1850.

08/01/2012 1/2




Snapshots can be found at the following URLS:

Win32: http://snapshots.nntpgrab.nl/win32/unstable-trunk/nntpgrab_trunk_snapshot_svn_r1850_setup.exe
Win64: http://snapshots.nntpgrab.nl/win64/unstable-trunk/nntpgrab_trunk_snapshot_svn_r1850_setup_x64.exe
Mac OS X: http://snapshots.nntpgrab.nl/osx/unstable-trunk/NNTPGrab_unstable_r1850.zip
